<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
        integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Squada+One&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="style.css">
    <title>37.50</title>
</head>

<body>
    <div class="container-fluid col-lg-12">
        <!-- div header -->
        <div class="row">
            <div class="div-header col-lg-12 ">
                <div class="row col-lg-12">
                    <nav class="navbar navbar-expand-lg navbar-light d-flex justify-content-around  col-lg-12">
                        <a class="navbar-brand text-white" href="#">WHAT2EAT</a>
                        <button class="navbar-toggler" type="button" data-toggle="collapse"
                            data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                            aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                        <div class="collapse navbar-collapse" id="navbarSupportedContent">
                            <ul class="navbar-nav">
                                <div class="navbar-nav header-menu">

                                    <a class="nav-item nav-link mx-3 text-white" href="#">Home</a>
                                    <a class="nav-item nav-link mx-3 text-white" href="#">About</a>
                                    <a class="nav-item nav-link mx-3 text-white" href="#">Menu</a>
                                    <a class="nav-item nav-link mx-3 text-white" href="#">Blog</a>
                                    <a class="nav-item nav-link mx-3 text-white" href="#">Contact</a>
                                </div>
                                <div class="navbar-nav header-menu-icon">
                                    <i class="bi bi-search mx-3"></i>
                                    <i class="bi bi-cart2 mx-3"></i>
                                </div>
                            </ul>
                        </div>
                    </nav>
                </div>
                <div class=" header-main row d-flex align-items-center min-vh-100 ">
                    <div class="header-content col-lg-6 ">
                        <div class="col-lg-10 mx-auto mt-5">
                            <h1 class="text-white">Authentic Home food in UK</h1>
                            <p class="text-white">What2Eat is a courier service in which authentic home cook food is
                                delivered to a customer.</p>
                            <form class="example">
                                <input type="text" placeholder="Search food you love" name="search">
                                <button type="button">Search</button>
                            </form>
                        </div>
                    </div>
                    <div class="col-lg-6  header-picture">
                        <img src="cooking.man.header.png" alt="" width="600px" height="535px">
                    </div>
                </div>
            </div>
        </div>
        <!--end div header -->
        <!-- div kitchen section -->
        <div class="row">
            <div class="div-kitchen-section jumbotron col-lg-12">
                <div class="kitchen-section-top d-flex flex-column col-lg-6 ml-5">
                    <h5 class="form-group">Home Kitchen</h5>
                    <div class="btn-group form-group">
                        <button class="btn btn-warning">All</button>
                        <button class="btn btn-outline-warning text-secondary">Button</button>
                        <button class="btn btn-outline-warning text-secondary">Free delivery</button>
                        <button class="btn btn-outline-warning text-secondary">New</button>
                        <button class="btn btn-outline-warning text-secondary">Coming</button>
                    </div>
                    <select class="form-group">
                        <option value="">Filter</option>
                    </select>
                </div>
                <div class="cards-home col-lg-12 d-flex max-vh-100 ml-5" id="div-product-list">


                </div>
                <div class="col-12 mt-5 d-flex justify-content-center">
                    <button class="btn btn-outline-warning text-secondary">+ Load more...</button>
                </div>
            </div>
        </div>
        <!--end div kitchen section -->
        <!-- div blog section -->
        <div class="row bg-white" id="div-blogs">
            <div class="col-lg-12">
                <h3>Our Blog</h3>
            </div>
            <div class="col-lg-3 col-md-5 col-xs-12">
                <div class="row">
                    <div class="col-lg-12 col-xs-12 form-group text-center">
                        <img src="images/blog-images-left-top.png" alt="" width="300px">
                        <h6>Most Satisfying Cake decorating
                            Cake ideas </h6>
                        <p>Quis hendrerit nibh mauris sed faucibus <br>
                            Quis hendrerit nibh mauris sed faucibus.</p>
                    </div>
                    <div class="col-lg-12 col-xs-12 form-group text-center">
                        <img src="images/blog-images-left-bottom.png" alt="" width="300px">
                        <h6>Most Satisfying Cake decorating
                            Cake ideas </h6>
                        <p>Quis hendrerit nibh mauris sed faucibus <br>
                            Quis hendrerit nibh mauris sed faucibus.</p>
                    </div>
                </div>
            </div>
            <div class=" col-lg-6 col-md-7 col-xs-12 form-group text-center">
                <img src="images/blog-images-main.png" alt="" width="646px">
                <h6>Most Satisfying Cake decorating
                    Cake ideas </h6>
                <p>Quis hendrerit nibh mauris sed faucibus <br>
                    Quis hendrerit nibh mauris sed faucibus.</p>
            </div>
            <div class="col-lg-3 col-md-12 col-xs-12">
                <div class="row">
                    <div class="col-lg-12 col-md-6 col-xs-12 form-group text-center">
                        <img src="images/blog-images-right-top.png" alt="" width="300px">
                        <h6>Most Satisfying Cake decorating
                            Cake ideas </h6>
                        <p>Quis hendrerit nibh mauris sed faucibus <br>
                            Quis hendrerit nibh mauris sed faucibus.</p>


                    </div>
                    <div class="col-lg-12 col-md-6 col-xs-12 form-group text-center">
                        <img src="images/blog-images-right-bottom.png" alt="" width="300px">
                        <h6>Most Satisfying Cake decorating
                            Cake ideas </h6>
                        <p>Quis hendrerit nibh mauris sed faucibus <br>
                            Quis hendrerit nibh mauris sed faucibus.</p>

                    </div>
                </div>
            </div>

        </div>
        <!-- end div blogs section -->
        <!-- div contact us section -->
        <div class="row">
            <div class="col-lg-6 col-md-12 jumbotron">
                <form>
                    <div class="form-row  div-contact-us">
                        <div class="col-lg-12 form-group">
                            <h2>Do you have a question<br>
                                or want to become a seller?</h2>
                            <h6>Fill this form and our manager will contact you next 48 hours.</h6>
                        </div>
                        <div class="col-lg-12">
                            <div class="row">
                                <div class="col-lg-6 form-group" style="height: 50px;">
                                    <input class="form-control h-100" type="text" placeholder=" Your name">
                                </div>
                                <div class="col-lg-6 form-group" style="height: 50px;">
                                    <input class="form-control h-100" type="text" placeholder=" Your email">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 form-group" style="height: 150px;">
                            <input class="form-control h-100" type="text" placeholder="Your Message">
                        </div>
                        <div class="col-lg-12 form-group">
                            <button type="button" class="btn btn-warning">Send Question</button>
                        </div>
                    </div>
                </form>
            </div>
            <div class="col-lg-6 col-md-12   text-center jumbotron">
                <img src="images/Food_delivery_man_riding_motorcycles.png" alt="">
            </div>
        </div>
        <!-- end div contact us section -->
        <!-- div footer section -->
        <div class="row text-center ">
            <div class="div-header col-lg-12 ">
                <nav class="navbar navbar-expand-lg navbar-light d-flex justify-content-around  col-lg-12">
                    <a class="navbar-brand text-white" href="#">WHAT2EAT</a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav">
                            <div class="navbar-nav header-menu">

                                <a class="nav-item nav-link mx-3 text-white" href="#">Home</a>
                                <a class="nav-item nav-link mx-3 text-white" href="#">About</a>
                                <a class="nav-item nav-link mx-3 text-white" href="#">Menu</a>
                                <a class="nav-item nav-link mx-3 text-white" href="#">Blog</a>
                                <a class="nav-item nav-link mx-3 text-white" href="#">Contact</a>
                            </div>
                            <div class="navbar-nav header-menu-icon">
                                <i class="bi bi-search mx-3"></i>
                                <i class="bi bi-cart2 mx-3"></i>
                            </div>
                        </ul>
                    </div>
                </nav>
                <hr class="bg-white" style="height: 1px;">
                <p class="text-white text-center">Copyright @2021 What2Eat</p>
            </div>
        </div>
        <!-- end div footer section -->
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    var gBASE_URL = "https://64747ed27de100807b1b0fa4.mockapi.io/api/v1/";

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onPageLoading()
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

    function onPageLoading() {
        $.ajax({
            url: gBASE_URL + "/pizza",
            type: "GET",
            success: function (PizzaListObj) {
                console.log(PizzaListObj)
                var vDivProductList = $("#div-product-list");
                for (var bI = 0; bI < PizzaListObj.length; bI++) {
                    vDivProductList.append(`<div class="product-info bg-white">
                        <div class="row">
                            <div class="pizza-picture col-lg-12"><img src="${PizzaListObj[bI].imageUrl}" alt="" width="370px"
                                    height="350px"></div>
                            <div class="col-lg-12 name-and-price d-flex">
                                <div class="div-name">
                                    <p class="p-pizza-name">${PizzaListObj[bI].name}</p>
                                </div>
                                <div class="div-price">
                                    <p class="p-pizza-price">${PizzaListObj[bI].price}</p>
                                </div>
                            </div>
                            <div class="col-lg-12 pizza-detail d-flex">

                                <div>
                                    <p class="rating"><i class="bi bi-star-fill text-dark"></i>${PizzaListObj[bI].rating}</p>
                                </div>
                                <div>
                                    <p class="time">${PizzaListObj[bI].time}</p>
                                </div>
                                <div class="plus">
                                    <img src="images/add-icon.png" alt="">
                                </div>
                            </div>
                        </div>
                    </div>`)
                }
            },
            error: function (ajaxContext) {
                console.log(ajaxContext.responseText)
            }
        });

        //Hàm gọi Api load Blogs
        $.ajax({
            url: gBASE_URL + "/blogs",
            type: "GET",
            success: function (paramRes) {
                console.log(paramRes);
                var vDivBlogs = $("#div-blogs");
                $(vDivBlogs.html(""));
                for (var bI = 0; bI < paramRes.length; bI++) {
                    vDivBlogs.append(`
                    <div class="col-lg-12">
            <h3>Our Blog</h3>
        </div>
            <div class="col-lg-3 col-md-5 col-xs-12">
                <div class="row">
                    <div class="col-lg-12 col-xs-12 form-group text-center">
                        <img src="${paramRes[0].imageUrl}" alt="" width="300px">
                        <h6>${paramRes[0].title}</h6>
                            <p>${paramRes[0].description}</p>
                    </div>
                    <div class="col-lg-12 col-xs-12 form-group text-center">
                        <img src="${paramRes[1].imageUrl}" alt="" width="300px">
                        <h6>${paramRes[1].title}</h6>
                            <p>${paramRes[1].description}</p>
                    </div>
                </div>
            </div>
            <div class=" col-lg-6 col-md-7 col-xs-12 form-group text-center">
                <img src="${paramRes[2].imageUrl}" alt="" width="646px">
                        <h6>${paramRes[2].title}</h6>
                            <p>${paramRes[2].description}</p>
                    </div>
                    <div class="col-lg-3 col-md-12 col-xs-12">
                        <div class="row">
                        <div class="col-lg-12 col-md-6 col-xs-12 form-group text-center">
                            <img src="${paramRes[3].imageUrl}" alt="" width="300px">
                        <h6>${paramRes[3].title}</h6>
                            <p>${paramRes[3].description}</p>


                        </div>
                        <div class="col-lg-12 col-md-6 col-xs-12 form-group text-center">
                            <img src="${paramRes[4].imageUrl}" alt="" width="300px">
                        <h6>${paramRes[4].title}</h6>
                            <p>${paramRes[4].description}</p>

                        </div>
                    </div>
                    </div>

                    `
                    )
                    break;

                }
            },
            error: function (paramError) {
                console.log(paramError.responseText)
            }

        });
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/





</script>

</html>